package md

type MqQueue struct {
	ExchangeName   string `json:"exchangeName"`     //交换机名字
	Name           string `json:"name"`             //队列名字
	Type           string `json:"type"`             //队列类型
	IsPersistent   bool   `json:"is_persistent"`    //队列是否持久化
	RoutKey        string `json:"rout_key"`         //路由
	BindKey        string `json:"bind_key"`         //绑定的路由
	ConsumeFunName string `json:"consume_fun_name"` //消费方法
}

var RabbitMqQueueKeyList = []*MqQueue{
	{
		ExchangeName:   "canal.topic",
		Name:           "canal_guide_order_for_statistics",
		Type:           TopicQueueType,
		IsPersistent:   false,
		RoutKey:        "canal_order_list",
		BindKey:        "",
		ConsumeFunName: "CanalGuideOrderForStatistics",
	},
	{
		ExchangeName:   "canal.topic",
		Name:           "canal_fin_withdraw_apply_for_statistics",
		Type:           TopicQueueType,
		IsPersistent:   false,
		RoutKey:        "canal_fin_withdraw_apply",
		BindKey:        "",
		ConsumeFunName: "CanalFinWithdrawApplyForStatistics",
	},
}

const (
	CanalFinWithdrawApplyForStatistics = "CanalFinWithdrawApplyForStatistics"
	CanalGuideOrderForStatistics       = "CanalGuideOrderForStatistics"
)
